<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EEmployeeSalaryMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EEmployeeSalary">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="employeeNo" column="employee_no" jdbcType="VARCHAR"/>
            <result property="fullName" column="full_name" jdbcType="VARCHAR"/>
            <result property="salaryYear" column="salary_year" jdbcType="INTEGER"/>
            <result property="salaryMonth" column="salary_month" jdbcType="INTEGER"/>
            <result property="basicSalary" column="basic_salary" jdbcType="DECIMAL"/>
            <result property="performancePay" column="performance_pay" jdbcType="DECIMAL"/>
            <result property="bonus" column="bonus" jdbcType="DECIMAL"/>
            <result property="allowance" column="allowance" jdbcType="DECIMAL"/>
            <result property="socialInsurance" column="social_insurance" jdbcType="DECIMAL"/>
            <result property="housingFund" column="housing_fund" jdbcType="DECIMAL"/>
            <result property="tax" column="tax" jdbcType="DECIMAL"/>
            <result property="otherDeduction" column="other_deduction" jdbcType="DECIMAL"/>
            <result property="grossSalary" column="gross_salary" jdbcType="DECIMAL"/>
            <result property="netSalary" column="net_salary" jdbcType="DECIMAL"/>
            <result property="salaryStatus" column="salary_status" jdbcType="VARCHAR"/>
            <result property="paymentDate" column="payment_date" jdbcType="TIMESTAMP"/>
            <result property="calculationNotes" column="calculation_notes" jdbcType="VARCHAR"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,employee_no,full_name,
        salary_year,salary_month,basic_salary,
        performance_pay,bonus,allowance,
        social_insurance,housing_fund,tax,
        other_deduction,gross_salary,net_salary,
        salary_status,payment_date,calculation_notes,
        import_source,create_by,create_time,
        update_time,update_by
    </sql>
</mapper>
